LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 12-27-2019, 02:11 AM   #1
Michael Uplawski
Member
 
Registered: Dec 2015
Location: Outside, most of the time.
Posts: 893
Blog Entries: 26

Rep: Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532
libc6 2.29 against 2.28 (or: Me against Debian)


Good morning.

On one of my Debian-systems libc6 dependencies keep me from running MPV or VLC. I guess that I am just unconscious about other difficulties with the same library-version that I have not yet stumbled upon, and will probably not before an update will have “repaired” something.

So, this is not very important, as a “system” is represented, here, by a removable hard-disk.

But there is nothing to find on the Web about the current version-clash... I appear to have been “unlucky” in a way. Can you explain how I could have provoked this situation ?

It looks like libc6 2.29 is asked for, but only 2.28-10 is available on testing.. ?
 
Old 12-27-2019, 04:41 AM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware & Android
Posts: 11,157

Rep: Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273Reputation: 1273
I have /lib64/libc.so.6 as a symlink to libc-2.29, and my install of slackware current is about 6 months old.

Debian, along with RHEL and some other distros are very slow to bump versions. libc.so.6 is a fundamental part of glibc, and everything links against it. But you don't update glibc versions, as a rule. Glibc provides the basic libraries that everything on the system is compiled against. People have bumped glibc one bugfix version and got away with it, but systems have died when guys update glibc. So, given that it's unwise to update glibc, don't do it.

I'd look for an older MPV or VLC version, or compile your own. That way, it compiles against your libs.
 
1 members found this post helpful.
Old 12-27-2019, 08:59 AM   #3
Michael Uplawski
Member
 
Registered: Dec 2015
Location: Outside, most of the time.
Posts: 893

Original Poster
Blog Entries: 26

Rep: Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532
Quote:
Originally Posted by business_kid View Post
I'd look for an older MPV or VLC version, or compile your own. That way, it compiles against your libs.
...
Trimming my hedge, preparing fagots and using some odd tools in the process (too much oxigen, maybe) has blurred my perception. Also, the “inconvenience” is marginal.

Thank you for enunciating it. 8)
 
Old 01-31-2020, 05:39 AM   #4
Michael Uplawski
Member
 
Registered: Dec 2015
Location: Outside, most of the time.
Posts: 893

Original Poster
Blog Entries: 26

Rep: Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532Reputation: 532
[Really Solved Now]
My sources.list was rotten. All is fine now... AFAIS. But I already feel bad making that statement.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Need libc6-2.4, considering ditching debian JBull Debian 7 01-15-2007 07:34 AM
libc6-dev version conflicts with libc6 in Dapper peppill Ubuntu 2 12-04-2006 01:13 PM
libstdc++-libc6.2-2.so.3 debian.. snip128 Linux - Newbie 1 07-09-2005 02:09 PM
Knoppix, Debian, and libc6 ferreter Debian 8 07-19-2004 11:42 AM
libc6 on Debian flowerlin Debian 2 06-24-2004 06:45 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 01:10 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration